Skip to main content
Resource Center/Network Resource/L2 Network Operations
POSTL2 Network OperationsSince 3.7SynchronousAuth Required

CreateL2HardwareVxlanNetwork

CreateL2HardwareVxlanNetwork

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vniInteger

      Optional. The VNI number.

    • poolUuidStringRequired

      The resource pool UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID..

    • physicalInterfaceStringRequired

      The physical interface.

    • typeString

      Optional. The resource type.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

    • vSwitchTypeString

      Optional. The type of the vSwitch.

    • isolatedBoolean

      Optional.

    • pvlanString

      Optional.

    • h3cTenantUuidString

      Optional.

    • vlanInteger

      Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryL2VxlanNetworkInventoryRequired

    Seeinventroy.

    • vniIntegerRequired

      The VNI number.

    • poolUuidStringRequired

      VXLAN network pool uuid

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID

    • physicalInterfaceStringRequired

      The physical interface.

    • typeStringRequired

      The resource type.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      The attached cluster UUID.

Endpoint

POST/zstack/v1/l2-networks/hardware-vxlan

/zstack/v1/l2-networks/hardware-vxlan

Operation ID

CreateL2HardwareVxlanNetwork

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/l2-networks/hardware-vxlan' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vni":1,"poolUuid":"<poolUuid>","name":"<name>","description":"<description>","zoneUuid":"<zoneUuid>","physicalInterface":"<physicalInterface>","type":"<type>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"vSwitchType":"<vSwitchType>","isolated":true,"pvlan":"<pvlan>","h3cTenantUuid":"<h3cTenantUuid>","vlan":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "vni": 10, "poolUuid": "7b3b9aaa42d3364d846a598cce125174", "name": "Test-Net", "description": "Test", "zoneUuid": "e88a75173e193288b9a51c35f7c8e1ac", "type": "L2VxlanNetwork" } }

Change History

This API has no change history records yet.

View all change history